import { IProperty } from '../IProperty.js';
import { IDesignItem } from '../../../item/IDesignItem.js';
import { RefreshMode } from '../IPropertiesService.js';
import { IPropertyGroup } from '../IPropertyGroup.js';
import { IStyleDeclaration, IStyleRule } from '../../stylesheetService/IStylesheetService.js';
import { ValueType } from '../ValueType.js';
import { BindingTarget } from '../../../item/BindingTarget.js';
import { CssPropertiesService } from './CssPropertiesService.js';
export declare class CssCurrentPropertiesService extends CssPropertiesService {
    getRefreshMode(designItem: IDesignItem): RefreshMode;
    constructor();
    isHandledElement(designItem: IDesignItem): boolean;
    getProperty(designItem: IDesignItem, name: string): Promise<IProperty>;
    getProperties(designItem: IDesignItem): Promise<IProperty[] | IPropertyGroup[]>;
    setValue(designItems: IDesignItem[], property: (IProperty & {
        styleRule: IStyleRule;
        styleDeclaration: IStyleDeclaration;
    }), value: any): Promise<void>;
    clearValue(designItems: IDesignItem[], property: IProperty & {
        styleRule: IStyleRule;
        styleDeclaration: IStyleDeclaration;
    }, clearType: 'all' | 'binding' | 'value'): void;
    getValue(designItems: IDesignItem[], property: IProperty & {
        styleRule: IStyleRule;
        styleDeclaration: IStyleDeclaration;
    }): any;
    getUnsetValue(designItems: IDesignItem[], property: IProperty & {
        styleRule: IStyleRule;
        styleDeclaration: IStyleDeclaration;
    }): any;
    isSet(designItems: IDesignItem[], property: IProperty & {
        styleRule: IStyleRule;
        styleDeclaration: IStyleDeclaration;
    }): ValueType;
    getPropertyTarget(designItem: IDesignItem, property: IProperty): BindingTarget;
}
